import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { StopImpersonatingButtonComponent } from './stop-impersonating-button.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';
import { RouterTestingModule } from '@angular/router/testing';

describe('StopImpersonatingButtonComponent', () => {
  let component: StopImpersonatingButtonComponent;
  let fixture: ComponentFixture<StopImpersonatingButtonComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      schemas: [ CUSTOM_ELEMENTS_SCHEMA ],
      declarations: [ StopImpersonatingButtonComponent ],
      imports: [HttpClientTestingModule, MatSnackBarModule, MatDialogModule, RouterTestingModule,]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(StopImpersonatingButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
